aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGioele Barabucci <gioele@svario.it>2024-09-09 17:56:38 +0200
committerGioele Barabucci <gioele@svario.it>2025-02-13 13:03:14 +0100
commit67c98996bcfad7882db981788eaeeae834826949 (patch)
tree765edf69188fbd4597b23713ff1e595d1c7fca37
parentbdeb29100e6c253416ee8b2a6e3a4f0c5eb14ea0 (diff)
downloadpam-67c98996bcfad7882db981788eaeeae834826949.tar.gz
pam-67c98996bcfad7882db981788eaeeae834826949.tar.bz2
pam-67c98996bcfad7882db981788eaeeae834826949.zip
d/libpam-{modules,runtime}.post{inst,rm}: Use `set -e` instead of `/bin/sh -e`
Policy recommends to use `set -e` to ensure that scripts always have `-e` enabled, even when they are run as `sh foo.postinst`. Fixes: lintian: *: maintainer-script-without-set-e
-rw-r--r--debian/libpam-modules.postinst4
-rw-r--r--debian/libpam-runtime.postinst4
-rw-r--r--debian/libpam-runtime.postrm4
3 files changed, 9 insertions, 3 deletions
diff --git a/debian/libpam-modules.postinst b/debian/libpam-modules.postinst
index ed6afbe2..36cdf2cb 100644
--- a/debian/libpam-modules.postinst
+++ b/debian/libpam-modules.postinst
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
# If the user has removed the config file, respect this sign of dementia
# -- only create on package install.
diff --git a/debian/libpam-runtime.postinst b/debian/libpam-runtime.postinst
index 667b33a6..230774d2 100644
--- a/debian/libpam-runtime.postinst
+++ b/debian/libpam-runtime.postinst
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
. /usr/share/debconf/confmodule
diff --git a/debian/libpam-runtime.postrm b/debian/libpam-runtime.postrm
index bff1f43f..04784c39 100644
--- a/debian/libpam-runtime.postrm
+++ b/debian/libpam-runtime.postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
if [ "$1" = "purge" ]; then
rm -f /etc/pam.d/common-auth /etc/pam.d/common-account \